<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">
	<persistence-unit name="Exemple10JPA">
		<jta-data-source>java:/H2DS3</jta-data-source>
	<class>fr.cnam.data.Livre</class>
	<class>fr.cnam.data.CompteClient</class>
	<class>fr.cnam.data.Commande</class>
	<class>fr.cnam.data.LivreCommande</class>
	<class>fr.cnam.data.InfoMessage</class>
	<properties>
      <property name="hibernate.dialect" value="org.hibernate.dialect.HSQLDialect" />
      <property name="hibernate.show_sql" value="false" />
      <property name="hibernate.format_sql" value="false" />
      <property name="hibernate.hbm2ddl.auto" value="create" /> <!--  none / create -->
      <property name="hibernate.search.default.directory_provider" value="ram" />
      <property name="hibernate.search.indexing_strategy" value="manual" />
    </properties>
	</persistence-unit>
</persistence>
